﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.1007, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v12.2, Version=12.2.20122.1007, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        function wdg_BatchDelete(sender, e) {
            //sender.get_behaviors().get_editingCore().commit();  //doesn't work
            //sender.get_behaviors().get_editingCore().get_behaviors().get_rowDeleting().beginUpdate();  //doesn't work
            __doPostBack('< %= upBody.ClientID %>', '');   //this does what we want it to do but seems a bit heavy handed
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:Button Text="text" runat="server" />
        <ig:WebDataGrid ID="WebDataGridLabour" runat="server" Width="710px" AutoGenerateColumns="False"
            DataSourceID="SqlDataSource1" DataKeyFields="SupplierID">
            <Columns>
                <ig:BoundDataField DataFieldName="SupplierID" Key="SupplierID">
                    <Header Text="SupplierID" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="CompanyName" Key="CompanyName">
                    <Header Text="CompanyName" />
                </ig:BoundDataField>
            </Columns>
            <Behaviors>
                <ig:Activation>
                </ig:Activation>
                <ig:Selection RowSelectType="Single" CellSelectType="None" CellClickAction="Row" />
                <ig:EditingCore BatchUpdating="true">
                    <EditingClientEvents RowDeleted="wdg_BatchDelete" />
                    <Behaviors>
                        <ig:CellEditing EditCellCssClass="EditingCell">
                        </ig:CellEditing>
                        <ig:RowAdding EditModeActions-MouseClick="Single">
                            <EditModeActions MouseClick="Double" EnableOnActive="True" />
                        </ig:RowAdding>
                        <ig:RowDeleting Enabled="true" />
                    </Behaviors>
                </ig:EditingCore>
                <ig:SummaryRow EmptyFooterText="" SummariesCssClass="WdgGridFooter">
                    <ColumnSummaries>
                        <ig:ColumnSummaryInfo ColumnKey="SupplierID">
                            <Summaries>
                                <ig:Summary SummaryType="Sum" CustomSummaryName="Total" />
                            </Summaries>
                        </ig:ColumnSummaryInfo>
                    </ColumnSummaries>
                </ig:SummaryRow>
                <ig:RowSelectors>
                </ig:RowSelectors>
            </Behaviors>
        </ig:WebDataGrid>
    </div>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        SelectCommand="SELECT [SupplierID], [CompanyName] FROM [Suppliers]" DeleteCommand="DELETE FROM [Suppliers] WHERE [SupplierID] = @SupplierID"
        InsertCommand="INSERT INTO [Suppliers] ([CompanyName]) VALUES (@CompanyName)"
        UpdateCommand="UPDATE [Suppliers] SET [CompanyName] = @CompanyName WHERE [SupplierID] = @SupplierID">
        <DeleteParameters>
            <asp:Parameter Name="SupplierID" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="CompanyName" Type="String" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="CompanyName" Type="String" />
            <asp:Parameter Name="SupplierID" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>
    </form>
</body>
</html>
